> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Community Categories

> Retrieves published community categories, including program question categories, ordered by position.



## OpenAPI

````yaml get /community/categories
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /community/categories:
    get:
      tags:
        - Community
      summary: List Community Categories
      description: >-
        Retrieves published community categories, including program question
        categories, ordered by position.
      parameters:
        - name: page
          in: query
          required: false
          description: Page number.
          schema:
            type: integer
            minimum: 1
            maximum: 10000
            default: 1
        - name: per_page
          in: query
          required: false
          description: Number of results per page. Maximum 30.
          schema:
            type: integer
            minimum: 1
            maximum: 30
            default: 30
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                type: object
                required:
                  - categories
                  - pagination
                properties:
                  categories:
                    type: array
                    maxItems: 30
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                          maxLength: 255
                        name:
                          type: string
                        is_published:
                          type: boolean
                        is_inline_question_category:
                          type: boolean
                        is_closed:
                          type: boolean
                        is_member_topic_creation_active:
                          type: boolean
                  pagination:
                    type: object
                    required:
                      - current_page
                      - total_pages
                      - total_count
                    properties:
                      current_page:
                        type: integer
                      total_pages:
                        type: integer
                      total_count:
                        type: integer
              example:
                categories:
                  - id: 33333333-3333-4333-8333-333333333333
                    name: General
                    is_published: true
                    is_inline_question_category: false
                    is_closed: false
                    is_member_topic_creation_active: true
                pagination:
                  current_page: 1
                  total_pages: 1
                  total_count: 1
        '401':
          description: Missing or invalid API credentials, or unavailable school account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Access denied
        '403':
          description: Community access is unavailable or the post or category is closed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: You do not have permission to perform this action
        '404':
          description: Record not found in your school or published categories.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Record not found
        '422':
          description: Invalid parameters. No changes were saved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Invalid arguments
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.